What can I do with NetControl?

Welcome to the NetControl Starter Software from Bitlogix. NetControl is a software tool for the audiovisual market to assist in controlling and maintaining projector equipment over a regular TCP/IP network. You can track projectors on a network using NetControl along with the NPC-1 device. An easy access interface will give you important information about the projector status. Basic control features are provided through the control and input selector screen. You can easily switch to different input sources with just one-button-click. NetControl basic control features give you the ability to do remote maintenance from your computer without actually seeing the projector.

NetControl and NPC-1 are designed to run in 24/7 applications. The unique design of the NetControl software allows you to control your equipment from another building, town, country or continent. Enjoy the freedom of easy projector control through your TCP/IP network.

If you require more features in your software such as multiple projector control you should use the NetControl Advanced Software. The Advanced Software allows you to manage events, do e-mail reporting and supervise your equipment through a powerful theft control. Please see our website www.bitlogix.com to get more information.

Thank you very much for using a Bitlogix product.

Bitlogix Software LLC


Checking the content of the shipping box

If you purchased the NetControl software along with the NPC-1 device you should find the follwing items in your shipping box:

  • NPC-1 device
  • Getting started manual
  • Power adapter (100-240 V, 50/60 Hz)
  • European power plug adapter
  • CD with NetControl installation software for Windows 98SE/NT/ME/2000/XP systems


Power Connection

Please check the content of your shipping box. All items should be included. Take the following steps to connect NPC-1's power adapter:
  1. Plug the power adapter's DC plug into NPC-1's DC-IN jack
  2. Plug the power adapter into an electrical outlet

Note that there is no ON/OFF switch. The NPC-1 device automatically turns on when plugged into the outlet, and the red power light will glow to indicate that it is receiving power.


Connecting the NPC-1 to a network

There are two ways to use the 10/100BaseT Ethernet jack located on NPC-1's front panel:
  1. For most applications using NPC-1, you will simply plug one end of an Ethernet cable (RJ45) into NPC-1's 100BaseT jack, and plug the other end into a hub connected to your network. In this case, use a regular straight-through Ethernet cable.
  2. In some cases, you may connect NPC-1 directly to your computer's Ethernet card. To do this you will need to use a cross-over Ethernet cable.

The orange/green link light will flicker when NPC-1 is properly connected to a live Ethernet.

LED Indicators

NPC-1's top panel contains three LED indicators, as described in the following list.

LED Name | LED Function
Power | Red indicates that the power is ON
Link | Orange indicates a 10 Mbps Ethernet connection Green indicates a 100 Mbps Ethernet connection
Ready | Green indicates NPC-1 system is ready


Connecting the NPC-1 to a projector

The NPC-1 device has a standardized RS-232 DTE interface like the one you find on your computer. This serial interface provides all of the features of a regular computer RS-232 interface. Please use the RS-232 cable provided by your projector manufacturer to connect your projector or other audiovisual equipment. Connect one side of the cable to the NPC-1 device serial port and the other side to the serial port on the projector.

My projector manufacturer did not deliver a RS-232 cable?

Please order the right cable from your supplier. Almost every projector uses a special RS-232 cable with different connectors. You can use a regular 9 pin serial cable in only a few cases. Check the user manual of the projector. Most manufacturers publish detailed RS-232 information.

What should be the position of the three DIP switches on NPC-1?

Next to the RS-232 connector on the NPC-1 device you can see three DIP switches. These switches are in the OFF-Position by default. Please make sure that the DIP switches are in theOFF-Position. The NPC-1 device can support different protocols (RS-422, RS-485 by RTS or ADDC) it is necessary to have access to the DIP switches.


Ways to get help while you work

Just click Help on the Help menu. The Help window appears. To scroll through a table of contents for help, click the Contents tab. When you want to search for specific words or phrases, click the Index tab.

To get help for a specific button or edit field in the NetControl software, be sure the button or field is actived and press F1.


Selecting a NPC-1 device

Click on the menu Tools|Network Properties to get a list of all NPC-1 devices on your network.

If this list is empty click the Search button to perform an actual search.

Pick an IP address in the NPC-1 list to change the network properties.

Changing the projector location

Changing the IP address

Changing the netmask

Changing the gateway

DHCP setting

You can close the window by clicking on the Close Tool button.


Changing the projector location

Follow the instructions for Selecting a NPC-1 device to pick a NPC-1 device from the search list. You will see the actual data for the projector location, IP address, netmask, gateway and DHCP setting in the edit fields.

Change the projector location to the location where the projector is installed. E.g. "Meeting Room 3" or "Building 1, Level 2, Room 17". Click the Change button to save the new location.

You can close the window by clicking on the Close Tool button.


Changing the IP address

Follow the instructions for Selecting a NPC-1 device to pick a NPC-1 device from the search list. You will see the actual data for the projector location, IP address, netmask, gateway and DHCP setting in the edit fields.

The NPC-1 device is shipped with the following default private IP address: 192.168.0.99

IP addresses of the form 192.168.xxx.xxx are private in the sense that they are never assigned by ISPs. Applications of NPC-1 that require sending data over a public network, such as the Internet, require providing the NPC-1 with a valid public IP address. Public IP addresses are generally purchased or leased from a local ISP.

Change the IP address of the NPC-1 to a valid IP address. If you are unsure about changing the IP address please ask your system administrator. Click the Change button to save the new IP address.

Perform a new search by clicking on the Search button to see the updated IP address on the network.

You can close the window by clicking on the Close Tool button.


Changing the subnet mask

Follow the instructions for Selecting a NPC-1 device to pick a NPC-1 device from the search list. You will see the actual data for the projector location, IP address, netmask, gateway and DHCP setting in the edit fields.

The NPC-1 device is shipped with the following default subnet mask: 255.255.255.0

Change the subnet mask of the NPC-1. If you are unsure about changing the subnet mask please ask your system administrator. Click the Change button to save the new subnet mask.

You can close the window by clicking on the Close Tool button.


Changing the gateway

Follow the instructions for Selecting a NPC-1 device to pick a NPC-1 device from the search list. You will see the actual data for the projector location, IP address, netmask, gateway and DHCP settings in the edit fields.

The NPC-1 device is shipped with no default gateway address.

There is no need to use a gateway address for simple private networks. If you are unsure about changing the gateway please ask your system administrator. Click the Change button to save the new gateway.

You can close the window by clicking on the Close Tool button.


DHCP setting

This topic is applicable if you are using a DHCP (Dynamic Host Configuration Protocol) server in your network. This type of server is set up to provide IP addresses for new devices as they log onto a network. As the operation of the NPC-1 requires a fixed IP address, we strongly recommend that you establish an IP reservation list in DHCP to maintain fixed IP assignments based on the NPC-1's MAC address. The MAC address can be found on the bottom panel of the NPC-1 or by accessing the MAC address through a search function with the NetControl software.

Follow the instructions for Selecting a NPC-1 device to pick a NPC-1 device from the search list. You will see the actual data for the projector location, IP address, netmask, gateway and DHCP settings in the edit fields.

The NPC-1 device is shipped with DHCP setting off (check box is NOT checked).

If you are unsure about changing the DHCP setting please ask your system administrator. Click the Change button to save the DHCP setting.

You can close the window by clicking on the Close Tool button.


Search the Network

Click on the menu Search|Search Network to do a network search for NPC-1 devices. You can perform the same network search if you click the Network Tool button under the Projector Tools category.

Hit the Search button in the Search Network window to get a list of all NPC-1 devices on your network. Mark the IP address of the NPC-1 device that you want to use in the search list. Click the Select IP button to pass the selected NPC-1device to the main application window.

You can close the search network window by clicking on the Close Tool button.


View a list of all NPC-1 devices

Click on the menu Search|View|View NPC list to get a list of all NPC-1 devices on your network. If this list is empty select the View button to perform an actual search.

You can close the View NPC windows by clicking on the Close Tool button.


Choosing a valid IP address

Before you can work with your projectors on the network you have to type a valid IP address into Active IP Address field in the main application window. We recommend that you use the search function to pick an existing NPC-1 device.

The default factory IP address is 192.168.0.99. You can find the default IP address on the bottom panel of the NPC-1 device.

Do not use two or more NPC-1 devices with the same IP address. The network will not work properly and you will not have access to a projector you need to control.


Selecting a projector

Before you can work with your projectors on the network you have to pick a projector model from Projector Model List in the main application window. If you cannot find your exact projector model please pick the closest model name you can find. Most projector manufacturers use the same control codes for their projectors.

It is very important to pick the right model to use all available projector functions.


Connecting to a projector

Before you can work with your projectors on the network you have to pick a valid IP address and a projector model from Projector Model List in the main application window.

Choosing a valid IP address

Selecting a projector

Click the Connect button to establish the actual connection between the NetControl software and a projector.


Disconnecting procedure

Click the Disconnect button to close the actual connection between the NetControl software and a projector.

All projector control functions will be deactivated automatically.


Am I connected?

To get a status reply from your projector you have to be connected to a projector.

Connecting to a projector

If your are not connected to a projector the Get Status button in the Projector Status windows is deactivated.

You can close the Projector Status windows by clicking the Close Tool button.


Understanding the status reply

Click on the Get Status button to receive the current projector status. The NetControl software requests all status data from the projector in real time. You can be sure that all data are up-to-date.

Request | Possible reply
Status | Shows the current working condition of the projector.
Input Mode | Tells the user the active input source.
Lamp Time | This data show the hours of lamp usage.
Setting | Returns the actual picture setting (e.g. up-side-down)
Temperature | Temperature sensors return the actual temperature in the projector.
Lamp Mode | If more than 1 lamp is used this data shows information about the lamps.
Signal | Returns the actual signal type.
A/V Status | Returns actual status of video/audio mute functions.

Not all status requests are available with every projector model.

Missing replies will be indicated.


Using control features of the projector

To control a projector the NetControl software has to be connected to a projector.

Connecting to a projector

If you are not connected to a projector all control buttons are deactivated. If the NetControl software is connected to a projector you receive direct feedback from the projector's screen after pressing a function button.

You can close the Basic Control and Projectors Functions windows by clicking the Close Tool button.


Selecting different inputs

The NetControl software has to be connected to a projector to select a projector input. The projector should be switched on.

Connecting to a projector

Click the Input Select button in the control windows. The Input Control Center window pops up.

Select a valid input. If the projector is connected to a video or data source the input will be switched to that specific input source. Most projectors need some time to recognize the new input signal. Switching to a different input can take between 1 and 2 seconds.

You can close the Basic Control and Projectors Functions windows by clicking on the Close Tool button.


Why are some buttons deactivated?

Buttons are normally deactivated when the NetControl software is not connected to a projector.

You have to connect to a projector before using the Control window.

Connecting to a projector

Another reason for the deactivated button could be that the function of the button is not supported on the selected projector model.


What is NetControl Direct?

NetControl Direct is located under the menu Help|NetControl Direct. NetControl Direct uses the current "live" internet connection and web browser to find and inform the user of new Bitlogix product news, updates and patches, technical tips, and other Bitlogix announcements.


Bitlogix Software LLC Software License

NetControl 1.5 Starter Software
Bitlogix Software LLC Software License Agreement

PLEASE READ THIS SOFTWARE LICENSE AGREEMENT CAREFULLY BEFORE USING THE SOFTWARE. THIS LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN YOU AND BITLOGIX SOFTWARE LLC FOR THIS SOFTWARE PRODUCT, WHICH INCLUDES COMPUTER SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED MATERIALS, AND “ONLINE” OR ELECTRONIC DOCUMENTATION AND DATABASE FILES (“SOFTWARE PRODUCT”). THE SOFTWARE PRODUCT ALSO INCLUDES ANY UPDATES AND SUPPLEMENTS TO THE ORIGINAL SOFTWARE PRODUCT PROVIDED TO YOU BY BITLOGIX. BY INSTALLING, COPYING, DOWNLOADING, ACCESSING OR OTHERWISE USING THE SOFTWARE PRODUCT, YOU AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS LICENSE AGREEMENT, DO NOT INSTALL OR USE THE SOFTWARE PRODUCT. YOU MAY THEN RETURN THE SOFTWARE PRODUCT TO THE PLACE WHERE YOU OBTAINED IT FOR A REFUND. UNTIL RETURN OF THIS SOFTWARE PRODUCT HAS BEEN ACCEPTED, YOU ARE GOVERNED BY THIS LICENSE AGREEMENT.

1. License
The software product is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The software product is licensed not sold. The software product is licensed to you by Bitlogix Software LLC or its local subsidiary, if any ("Bitlogix"). You own the media on which the software product is recorded but Bitlogix and/or Bitlogix's licensor(s) retain title to the software product. The software product in this package and any copies which this license agreement authorizes you to make are subject to this license agreement. The license agreement is effective until terminated.

2. Permitted Uses and Restrictions
This license agreement allows you to install and use the software product on a single computer. This license agreement does not allow the software product to exist on more than one computer at a time. You may make one copy of the software product in machine-readable form for backup purposes only. The backup copy must include all copyright information contained on the original. Except as expressly permitted in this license agreement, you may not decompile, reverse engineer, disassemble, modify, rent, lease, loan, sublicense, distribute or create derivative works based upon the software product in whole or part or transmit the software product over a network. You may, however, transfer your rights under this license agreement provided you transfer the related documentation, this license agreement and a copy of the software product to a party who agrees to accept the terms of this license agreement and destroy any other copies of the software product in your possession. You have to notify Bitlogix in writing of such transfer. THE SOFTWARE PRODUCT IS NOT INTENDED FOR USE IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, OR AIR TRAFFIC CONTROL MACHINES IN WHICH CASE THE FAILURE OF THE SOFTWARE PRODUCT COULD LEAD TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE. Your rights under this license agreement will terminate automatically without notice from Bitlogix if you fail to comply with any term(s) of this license agreement. In such event, you must destroy all copies of the software product and all of its component parts.

3. Copyright Protection
This software product is protected by copyright law and international treaties. Unauthorized reproduction or distribution of this software product, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

4. Limited Warranty on Media (if applicable)
Bitlogix warrants the media on which the software product is recorded to be free from defects in materials and workmanship under normal use for a period of ninety (90) days from the date of original retail purchase. Your exclusive remedy under this paragraph shall be, at Bitlogix's option, a refund of the purchase price of the product containing the software product or replacement of the software product, which is returned to Bitlogix or a Bitlogix authorized representative with a copy of the receipt. THIS LIMITED WARRANTY AND ANY IMPLIED WARRANTIES ON THE MEDIA INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE LIMITED IN DURATION TO NINETY (90) DAYS FROM THE DATE OF ORIGINAL RETAIL PURCHASE. SOME JURISDICTIONS DO NOT ALLOW LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY LASTS, SO THIS LIMITATION MAY NOT APPLY TO YOU. THE LIMITED WARRANTY SET FORTH HEREIN IS EXCLUSIVE AND IN LIEU OF ALL OTHERS, WHETHER ORAL OR WRITTEN, EXPRESS OR IMPLIED. BITLOGIX SPECIFICALLY DISCLAIMS ALL OTHER WARRANTIES. THIS LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS, AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY BY JURISDICTION.

5. Disclaimer of Warranty on Bitlogix Software
You expressly acknowledge and agree that use of the software product is at your sole risk. The software product is provided "AS IS" and without warranty of any kind and Bitlogix and Bitlogix's licensor(s) (for the purposes of provisions 5 and 6, Bitlogix and Bitlogix's licensor(s) shall be collectively referred to as "Bitlogix") EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY OR SATISFACTORY QUALITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. BITLOGIX DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THE SOFTWARE PRODUCT WILL MEET YOUR REQUIREMENTS, OR THAT THE OPERATION OF THE SOFTWARE PRODUCT WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE SOFTWARE PRODUCT WILL BE CORRECTED. FURTHERMORE, BITLOGIX DOES NOT WARRANT OR MAKE ANY REPRESENTATIONS REGARDING THE USE OR THE RESULTS OF THE USE OF THE SOFTWARE PRODUCT OR RELATED DOCUMENTATION IN TERMS OF THEIR CORRECTNESS, ACCURACY, RELIABILITY, OR OTHERWISE. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY BITLOGIX OR A BITLOGIX AUTHORIZED REPRESENTATIVE SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY. SHOULD THE SOFTWARE PRODUCT PROVE DEFECTIVE, YOU (AND NOT BITLOGIX OR A BITLOGIX AUTHORIZED REPRESENTATIVE) ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, CORRECTION OR LOSS OF PROPERTY. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION MAY NOT APPLY TO YOU. THE TERMS OF THIS DISCLAIMER DO NOT AFFECT OR PREJUDICE THE STATUTORY RIGHTS OF A CONSUMER ACQUIRING BITLOGIX PRODUCTS OTHERWISE THAN IN THE COURSE OF A BUSINESS, NEITHER DO THEY LIMIT OR EXCLUDE ANY LIABILITY FOR DEATH OR PERSONAL INJURY CAUSED BY BITLOGIX’S NEGLIGENCE.

6. Limitation of Liability
BITLOGIX AND ITS LICENSOR(S) WILL NOT BE LIABLE, AND YOU WILL HAVE NO REMEDY FOR, DAMAGES FOR ANY CLAIM OF ANY KIND WHATSOEVER CONCERNING YOUR USE OF THE SOFTWARE PRODUCT OR ANY ACCOMPANYING DOCUMENTATION, REGARDLESS OF LEGAL THEORY, AND WHETHER ARISING IN TORT OR CONTRACT. IN NO EVENT WILL BITLOGIX OR ITS LICENSOR(S) BE LIABLE TO YOU FOR ANY SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY KIND, INCLUDING, BUT NOT LIMITED TO, COMPENSATION, REIMBURSEMENT OR DAMAGES ON ACCOUNT OF THE LOSS OF PRESENT OR PROSPECTIVE PROFITS, LOSS OF DATA, LOSS OF PROPERTY OR FOR ANY OTHER REASON WHATSOEVER CONCERNING YOUR USE OF THE SOFTWARE PRODUCT OR ANY ACCOMPANYING DOCUMENTATION.

7. Export Law Assurances
You may not use or otherwise export or re-export the software product except as authorized by United States law and the laws of the jurisdiction in which the software product was obtained. In particular, but without limitation, the software product may not be exported or re-exported (i) into (or to a national or resident of) any U.S. embargoed country or (ii) to anyone on the U.S. Treasury Department's list of Specially Designated Nationals or the U.S. Department of Commerce’s Table of Denial Orders. By using the software product, you represent and warrant that you are not located in, under control of, or a national or resident of any such country or on any such list.

8. Government End Users
RESTRICTED RIGHTS LEGEND. This software product is commercial in nature. The software product and software documentation are "Commercial Items", as that term is defined in 48 C.F.R. section 2.101, consisting of "Commercial Computer Software" and "Commercial Computer Software Documentation", as such terms are defined in 48 C.F.R. section 252.227-7014(a)(5) and 48 C.F.R. section 252.227-7014(a)(1), and used in 48 C.F.R. section 12.212 and 48 C.F.R. section 227.7202, as applicable. Consistent with 48 C.F.R. section 12.212, 48 C.F.R. section 252.227-7015, 48 C.F.R. section 227.7202 through 227.7202-4, 48 C.F.R. section 52.227-14, and other relevant sections of the Code of Federal Regulations, as applicable, this software product and software documentation are licensed to United States Government end users with only those rights as granted to all other end users, according to the terms and conditions contained in this license agreement. Manufacturer is Bitlogix Software LLC, 2050 Oak Point Drive, Cross Roads, TX 76227.

9. Controlling Law and Severability
If there is a local subsidiary of Bitlogix in the country in which the Bitlogix software license agreement was obtained, then the local law in which the subsidiary sits shall govern this license agreement. Otherwise, this license agreement shall be governed by the laws of the State of Texas. If for any reason a court of competent jurisdiction finds any provision, or portion thereof, to be unenforceable, the remainder of this license agreement shall continue in full force and effect.

10. Complete Agreement
This license agreement constitutes the entire agreement between the parties with respect to the use of the software product and supersedes all prior or contemporaneous understandings regarding such subject matter. No amendment to or modification of this license agreement will be binding unless in writing and signed by Bitlogix.

BITLOGIX SOFTWARE LLC
Cross Roads, Texas